<%= content_tag :div, id: "comment_#{model.id}", class: comment_classes, data: { depth: model.depth, comment_id: model.id, toggler: ".no-comments" } do %>
  <% if model.hidden? %>
    <%= render :moderation_data %>
  <% elsif model.deleted? %>
    <%= render :deletion_data %>
  <% else %>
    <div class="comment__header">
      <div class="author-data">
        <div class="author-data__main">
          <%= render :author %>
          <% if model.status == "rejected" %>
            <% accepted_icon = "" %>
            <% rejected_icon = "<i class='fa-solid fa-check comment_check'></i>" %>
            <span class="ml-2 br-comment alert" id="tag-status-01"><%=t("decidim.components.add_comment_form.form.body.reject")%></span>
          <% elsif model.status =="accepted" %>
            <% accepted_icon = "<i class='fa-solid fa-check comment_check'></i>" %>
            <% rejected_icon = "" %>
            <span class="ml-2 br-comment accepted" id="tag-status-03"><%=t("decidim.components.add_comment_form.form.body.incorporated")%></span>
          <% end %>
          <% if edited? %>
            <div class="author-data__extra">
              <span class="comment__edited">
                <%= t("decidim.components.comment.edited") %>
              </span>
            </div>
          <% end %>
        </div>
      </div>
      <span class="comment-settings">
        <span><%=t("decidim.blogs.posts.show.published_at")%>: <%= time_tag created_at, l(created_at, format: :decidim_short) %></span>
        <%= render :utilities %>
      </span>
    </div>
    <div class="comment__content">
      <%= alignment_badge %>
      <%= depth < 1? comment_body : "<strong>Resposta:</strong>\n\n".concat(comment_body).html_safe%>
      <% if model.attachment.present? %>
        <% if sensitive? %>
          <strong><%= t("decidim.components.comment.sensitive_content")%></strong>
        <% else %>
          <%= link_to translated_attribute(model.attachment.title), model.attachment.url, target: "_blank"  %>
          <% if current_user.try(:admin?) || current_user.try(:moderator?) %>
            <%= model.sensitive_content ? 
              "<strong>#{t("decidim.components.comment.content_sensitive")}</strong>" :
              "<strong>#{t("decidim.components.comment.content_visible")}</strong>"
            %>
            <div class="sensitive__content__alert">
              <% if model.sensitive_content %>
                <%= button_to t("decidim.components.comment.show"),
                update_sensitive_content_path(id: model.id, sensitive: false), 
                method: :patch, remote: true, class: "br-button secondary" %>
              <% else%>
                <%= button_to t("decidim.components.comment.hide"),
                update_sensitive_content_path(id: model.id, sensitive: true), 
                method: :patch, remote: true, class: "br-button secondary black-and-white-btn" %>
              <% end %>
            </div>
          <% end%>
        <% end %>
      <% end %>
    </div>
    <div class="comment__footer">
      <div class="comment__footer_votes">
        <% if current_user.present? && user_can_update_comment_status? && depth < 1  %>
          <div>
            <div class="d-flex align-items-center feedback-buttons">
              <%= button_to "<i class='fa-solid fa-sm fa-x'></i> " + t("decidim.components.add_comment_form.form.body.reject"),
              update_comment_status_path(id: model.id, status: "rejected"), method: :patch, remote: true,
              id: "tag04", class: "br-button reject-button #{'selected' if model.status == 'rejected'}" %>
              <%= button_to "<i class='fa-solid fa-sm fa-check'></i> " + t("decidim.components.add_comment_form.form.body.Incorporate"),
              update_comment_status_path(id: model.id, status: "accepted"), method: :patch, remote: true,
              id: "tag04", class: "br-button accept-button #{'selected' if model.status == 'accepted'}" %>
            </div>
          </div>
        <% end %>
      </div>
      <%= render :actions %>
    </div>
    <% if participatory_text? && current_user.try(:admin?) && related_proposal %>
      <div class="comments-extra-info">
        <strong><%= t("decidim.components.comment.extra_info.link") %></strong>
        <%= link_to translated_attribute(related_proposal.title), resource_locator(related_proposal).path %>
        <br>
        <strong><%= t("decidim.components.comment.extra_info.author") %></strong> <%= author.name %>
      </div>
    <% end %>
  <% end %>
  <div id="comment-<%= model.id %>-replies" class="replies meeting-map-header">
    <% if has_replies_in_children? %>
      <% replies.each do |reply| %>
        <%= cell("decidim/comments/comment", reply, root_depth: root_depth, order: order, reloaded: reloaded?) %>
      <% end %>
    <% end %>
  </div>
  <% if can_reply? %>
    <div class="comment__additionalreply<%= " hide" %> replies">
      <button class="br-button" aria-controls="<%= reply_id %>" data-toggle="<%= reply_id %>">
        <i class="fa-solid fa-sm fa-comment-dots"></i>
        <%= t("decidim.components.comment.reply") %>
      </button>
    </div>
    <div class="add-comment hide" id="<%= reply_id %>" data-toggler=".hide">
      <%== cell("decidim/comments/comment_form", model, root_depth: root_depth, order: order) %>
    </div>
  <% end %>
  <% if depth < 1 %>
    <span class="br-divider sm my-1"></span>
  <% end %>
<% end %>
